Bug 132752 - ant-nodeps is missing from the requirement list of some package(s)
ant-nodeps is missing from the requirement list of some package(s)
Status: CLOSED CURRENTRELEASE
Product: Red Hat Application Server
Classification: Retired
Component: jonas (Show other bugs)
1.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Andrew Overholt
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-09-16 14:07 EDT by Permaine Cheung
Modified: 2007-04-18 13:12 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-03-18 14:31:53 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Permaine Cheung 2004-09-16 14:07:37 EDT
Description of problem:
ant-nodeps is missing from the iso, so eg. when building the sb
example, the following comes up during compilation:
jonasejbjar:
   [ejbjar] Unable to load dependency analyzer:
org.apache.tools.ant.util.depend.bcel.FullAnalyzer - dependent class
not found: org/apache/tools/ant/util/depend/AbstractAnalyzer

Installing ant-nodeps should solve the problem.

Version-Release number of selected component (if applicable):
Red Hat Application Server v 1.0

How reproducible:
Always

Steps to Reproduce:
1. Install RHAPS
2. cd /usr/share/jonas/examples/sb
3. ant -find build.xml 
  
Actual results:
Searching for build.xml ...
...
jonasejbjar:
   [ejbjar] Unable to load dependency analyzer:
org.apache.tools.ant.util.depend.bcel.FullAnalyzer - dependent class
not found: org/apache/tools/ant/util/depend/AbstractAnalyzer
...

Expected results:
...
jonasejbjar:
   [ejbjar] building eb.jar with 6 files
    [genic] GenIC for JOnAS 4.1.2: Beans 'AccountImpl', 'AccountExpl'
generation ...



Additional info:
Comment 1 Andrew Overholt 2004-09-28 16:07:38 EDT
Assigning to me.
Comment 2 Fernando Nasser 2005-03-16 10:49:59 EST
What I need to know is what needs it so I can add a Requires in the spec file of
that RPM.

It missing from the iso was just some build failure.
Comment 3 Fernando Nasser 2005-03-16 10:51:03 EST
Adjusted subject
Comment 4 Permaine Cheung 2005-03-16 11:54:42 EST
It seems like it's required when building the examples, I don't know of any
package that requires that for running.
Comment 5 Fernando Nasser 2005-03-16 12:05:22 EST
I am adding these as BuildRequires in the jonas packahe

ant-nodeps
ant-apache-bcel

but I am not respinning the package for that.

It will get in if we have to respin it for some other reason.  is this OK?
Comment 6 Permaine Cheung 2005-03-16 13:05:18 EST
Yes, that's fine with me.
Comment 7 Permaine Cheung 2005-03-18 14:31:53 EST
This is now fixed in the RHEL3-U4-RHAPS-re0318.0-i386-ftp.iso.
Closing the bug.

Note You need to log in before you can comment on or make changes to this bug.